Package org.apache.qpid.proton.codec

# Interface BooleanType.BooleanEncoding

All Superinterfaces:
  `PrimitiveTypeEncoding<Boolean>`, `TypeConstructor<Boolean>`, `TypeEncoding<Boolean>`

Enclosing class:
  BooleanType

public static interface BooleanType.BooleanEncoding extends PrimitiveTypeEncoding<Boolean>

## Method Summary

Modifier and Type
Method
Description
`boolean`
`readPrimitiveValue()`
`void`
`write(boolean b)`
`void`
`writeValue(boolean b)`

### Methods inherited from interface org.apache.qpid.proton.codec.PrimitiveTypeEncoding

`getConstructorSize, getEncodingCode, getType, writeConstructor`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeConstructor

`encodesJavaPrimitive, getTypeClass, readValue, skipValue`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeEncoding

`encodesJavaPrimitive, encodesSuperset, getValueSize, isFixedSizeVal, writeValue`

## Method Details

### write

void write(boolean b)

### writeValue

void writeValue(boolean b)

### readPrimitiveValue

boolean readPrimitiveValue()